Error saying "Stack level too deep" while installing puppet.

0 votes

I am trying to installed puppet and facing this error:

# gem install puppet --version 2.7.11
Successfully installed puppet-2.7.11

RDoc::Parser::Ruby failure around line 224 of
lib/puppet/parser/scope.rb

Before reporting this, could you check that the file you're documenting
has proper syntax:

  /usr/bin/ruby -c lib/puppet/parser/scope.rb

RDoc is not a full Ruby parser and will fail when fed invalid ruby programs.

The internal error was:

    (SystemStackError) stack level too deep

ERROR:  While executing gem ... (SystemStackError)
    stack level too deep
Feb 25, 2019 in Puppet by Dipti
90 views

1 answer to this question.

0 votes

Hey @Dipti, gem seemed to have not been used. try executing the following command:

gem install --no-rdoc

answered Feb 25, 2019 by Nandita

Related Questions In Puppet

0 votes
1 answer

Error while installing Puppet dashboard

Hey @Dipti, seems like you haven't enabled ...READ MORE

answered Feb 25, 2019 in Puppet by Nandita
45 views
0 votes
1 answer

Puppet: dependency error while installing mysql on puppet server.

Try adding -f and --allow-unauthenticated options for apt-get to resolve the dependencies ...READ MORE

answered Aug 9, 2019 in Puppet by Sirajul
• 48,810 points
78 views
0 votes
1 answer

Errors and warnings while installing graphite server using puppet.

Hey @Harish, If you puppet modules is /etc/puppet/modules, ...READ MORE

answered Feb 14, 2019 in Puppet by Varshi
38 views
0 votes
1 answer

Error saying "Error: Could not parse for environment production" - Puppet

Hey @Nagya, You need to set the ...READ MORE

answered Feb 15, 2019 in Puppet by Kavya
218 views
+13 votes
2 answers

Git management technique when there are multiple customers and need multiple customization?

Consider this - In 'extended' Git-Flow, (Git-Multi-Flow, ...READ MORE

answered Mar 26, 2018 in DevOps & Agile by DragonLord999
• 8,400 points
358 views
0 votes
1 answer
0 votes
1 answer

Error saying "Error: Could not autoload puppet/provider/package/rpm: No child processes." While installing gcc through puppet

Hey @Laksha, check your internet connectivity. You usually ...READ MORE

answered Feb 15, 2019 in Puppet by Jugnu
109 views
0 votes
1 answer

Error while using newrelic class - Puppet

Hey @Harjot, The catalog compiler will look ...READ MORE

answered Feb 14, 2019 in Puppet by Ranjan
52 views